Harthelm Docs
REST APIMembers

Change a member's organization role

Organization owners (`org.members`). 409 `last-owner` when it would leave the organization without an owner.

Generated from openapi/harthelm.yaml at v1.5.0
PATCH
/orgs/{org}/members/{user}

Authorization

cookie__Host-harthelm_session<token>

Browser session of the UI (12 h idle, 7 days absolute). State-changing requests also need the header Harthelm-CSRF: 1 and a matching Origin.

Path Parameters

org*string
Formatuuid
user*integer

A user's id.

Formatint64
Range1 <= value

Request Body

application/json
  1. body
role*OrgRole
Value in"owner""member"

Response Body

The membership.

application/json
  1. response
user*

A user as member lists show them.

role*OrgRole
Value in"owner""member"
created_at*string
Formatdate-time
curl -X PATCH 'https://console.example.com/api/v1/orgs/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/1' \  -H 'Content-Type: application/json' \  -d '{  "role": "owner"}'
{  "user": {    "id": 1,    "name": "string",    "email": "string",    "picture_url": "string"  },  "role": "owner",  "created_at": "2019-08-24T14:15:22Z"}